Bug 978503 - [RFE] GlusterFS native support with QEMU
Summary: [RFE] GlusterFS native support with QEMU
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: Upstream M3
: 4.0
Assignee: Eric Harney
QA Contact: Dafna Ron
URL: https://blueprints.launchpad.net/nova...
Whiteboard: storage
Depends On: 956919 1020979 1045047
Blocks: RHOS40RFE 997553
TreeView+ depends on / blocked
 
Reported: 2013-06-26 17:46 UTC by Russell Bryant
Modified: 2019-09-09 15:51 UTC (History)
12 users (show)

Fixed In Version: openstack-nova-2013.2-0.23.rc1.el6
Doc Type: Known Issue
Doc Text:
Compute is able to use libgfapi to connect to Block Storage GlusterFS volumes. However, a known issue exists where libvirt/Compute does not support Block Storage snapshots with this feature. This means that: * You can: --Use the Block Storage GlusterFS plugin to set Red Hat Storage as the storage provider for OpenStack Block Storage. --Create Block Storage volumes in the above setup and attach those volumes to a Compute instance using FUSE. --Create Block Storage snapshots and clones of these Block Storage volumes. * You CANNOT: --Attach those Block Storage volumes to a Compute instance via QEMU Gluster Blockdriver libgfapi. --Create snapshots of a Block Storage volume that is attached to a Compute instance via libgfapi when using the GlusterFS plugin.
Clone Of:
: 997553 (view as bug list)
Environment:
Last Closed: 2013-12-20 00:10:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 39498 None None None Never
Red Hat Product Errata RHEA-2013:1859 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2013-12-21 00:01:48 UTC

Comment 1 Stephen Gordon 2013-07-26 20:43:22 UTC
I'm setting docs_scoped- on this based on the available state but if things change, particularly if this is as suggested switched based on a configuration flag, we'll need to re-evaluate.

Comment 2 Eric Harney 2013-08-15 13:55:43 UTC
(In reply to Stephen Gordon from comment #1)
> I'm setting docs_scoped- on this based on the available state but if things
> change, particularly if this is as suggested switched based on a
> configuration flag, we'll need to re-evaluate.

The code upstream for this feature has it disabled by default and a config option to enable it.  ( https://review.openstack.org/#/c/39498/12/etc/nova/nova.conf.sample )

Comment 5 Dafna Ron 2013-11-21 11:51:09 UTC
Eric, 
To my understanding we need to configure glance to work with a gluster mount and run instances from the image? 

Please specify if we need to specify any configuration in glance and libvirt as well as qemu to allow such configuration.

Comment 6 Eric Harney 2013-12-02 15:13:44 UTC
(In reply to Dafna Ron from comment #5)
> Eric, 
> To my understanding we need to configure glance to work with a gluster mount
> and run instances from the image? 
> 
> Please specify if we need to specify any configuration in glance and libvirt
> as well as qemu to allow such configuration.

This is a Cinder/Nova feature and doesn't affect Glance.  If qemu_allowed_storage_drivers is set to "gluster" in Nova, Nova will use libgfapi when attaching Gluster Cinder volumes.

Comment 8 Dafna Ron 2013-12-11 16:30:48 UTC
see bug 1020979 for configuration

Comment 9 Dafna Ron 2013-12-12 10:56:16 UTC
This RFE is blocked by 1020979 - we cannot attach the volume when using libgfapi

Comment 10 Summer Long 2013-12-15 22:14:57 UTC
New doc text with notes from Tushar Katarki.

Comment 12 Summer Long 2013-12-16 23:27:45 UTC
See question in email thread.

Comment 16 errata-xmlrpc 2013-12-20 00:10:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html


Note You need to log in before you can comment on or make changes to this bug.